/*
	description:

		"C functions used for object traversal"

	system: "Gobo Eiffel Compiler"
	copyright: "Copyright (c) 2006, Eric Bezault and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: 2006/03/15 11:50:35 $"
	revision: "$Revision: 1.1 $"
*/

#ifndef EIF_TRAVERSE_C
#define EIF_TRAVERSE_C

EIF_REFERENCE find_referers (EIF_REFERENCE target, EIF_INTEGER result_type) {
	/* TODO */
	printf("'find_referers' in 'eif_traverse.h' not implemented\n");
	return EIF_VOID;
}

EIF_REFERENCE find_instance_of (EIF_INTEGER instance_type, EIF_INTEGER result_type) {
	/* TODO */
	printf("'find_instance_of' in 'eif_traverse.h' not implemented\n");
	return EIF_VOID;
}

EIF_REFERENCE find_all_instances (EIF_INTEGER result_type) {
	/* TODO */
	printf("'find_all_instances' in 'eif_traverse.h' not implemented\n");
	return EIF_VOID;
}

#endif
